Subject: Re: [PATCH] usage: clarify --recurse-submodules as a boolean

From: Junio C Hamano <[email-masked]>
Date: Mon, 10 Apr 2023 16:07:39 -0700

Emily Shaffer <[email-masked]> writes:

> It was 'git checkout', if you must know ;) and in such a hurry that I
> also neglected to s/three/four/g. Will fix it with the reroll.

You fixed three-or-four but not the missing comma in v2, it seems.
I locally touched it up while queuing v2, but ...

>> This however is a breaking change.  Even though there is no hint
> ...
>> I am not
>> sure it is safe to change the behaviour right under them, like this
>> patch does, and I wonder if we should do this in two steps, with its
>> first step doing:
> ...
> I'd be happy to do so with a reroll, probably on Monday. It's true that
> while these are user-facing commands which we don't guarantee backwards
> compatibility for, there's not a reason to subject users to that kind of
> pain unnecessarily.

... I do not see how this part is addressed in v2.  You got too
excited by the idea of how to replace the awful abuse of parse
options callback interface with a more focused setter function in
the API and forgot to do other changes you meant to or something?

Thanks.